import { createRouter } from 'vue-router'
import * as vueRouter from 'vue-router'
import navStore from '../store/nav.js'
import keepAliveStore from '../store/keepAlive.js'
import generatedRoutes from '~pages'
import { setupLayouts } from 'layouts-generated'

// 导出路由
const routes = setupLayouts(generatedRoutes)
const router = createRouter({
  history: vueRouter.createWebHistory(),
  routes
})

router.beforeEach((to, from, next) => {
  console.log(routes)
  if (to.path !== '/login') {
    const nav = navStore()
    nav.updateMenu(to)
    console.log(to.name)
  }
  if (to.meta.keepAlive) {
    const keepAlive = keepAliveStore()
    keepAlive.add(to.name) // 将路由名称添加到 keepAlive 集合中
  }
  if (to.matched.length) {
    console.log(to.fullPath)
    next()
  } else {
    console.log()
  }
})

export default router
