import { defineStore } from 'pinia'

export const navStore = defineStore('navStore', {
  /** 持久化 **/
  persist: true,
  state: () => ({ menus: [] }),
  actions: {
    /**
     * 添加浏览记录菜单
     * @param menu
     */
    updateMenu(menu) {
      const index = this.menus.findIndex(m => m.path === menu.path)
      if (index === -1) {
        this.menus.push(menu)
      } else {
        this.menus.splice(index + 1, this.menus.length - index - 1)
      }
    },
    /**
     * 清空浏览记录菜单（用户退出时候，必须调调用此菜单）
     */
    cleanMenu() {
      this.menus = []
    }
  }
})

export default navStore
